Package org.jboss.modules

# Interface ModuleClassLoaderFactory

public interface ModuleClassLoaderFactory
A producer for Module class loaders.

Author:
  David M. Lloyd

## Method Summary

Modifier and Type
Method
Description
`ModuleClassLoader`
`create(ModuleClassLoader.Configuration configuration)`
Create the module class loader.

## Method Details

### create

ModuleClassLoader create(ModuleClassLoader.Configuration configuration)
Create the module class loader. If this method returns `null`, then a default implementation is used.

Parameters:
  `configuration` - the configuration to use
Returns:
  the module class loader, or `null` to use the default